Skip to main content
POST
/
models
/
add-model
curl --request POST \ --url https://api.enkryptai.com/models/add-model \ --header 'Content-Type: application/json' \ --header 'apikey: <api-key>' \ --data ' { "model_saved_name": "Test Model", "model_version": "v1", "testing_for": "foundationModels", "model_name": "mistralai/Mixtral-8x7B-Instruct-v0.1", "certifications": [], "model_config": { "model_provider": "together", "hosting_type": "External", "input_modalities": [ "text" ], "output_modalities": [ "text" ], "model_source": "https://together.ai", "rate_per_min": 20, "system_prompt": "", "endpoint": { "scheme": "https", "host": "api.together.xyz", "port": 443, "base_path": "/v1" }, "paths": { "completions": "/completions", "chat": "/chat/completions" }, "auth_data": { "header_name": "Authorization", "header_prefix": "Bearer", "space_after_prefix": true }, "apikeys": [ "xxxxx" ], "metadata": {}, "default_request_options": {} } } '
{ "message": "Model details added successfully", "data": { "created_at": "2024-10-15T17:22:47.872389+00:00", "updated_at": "2024-10-15T17:22:47.872389+00:00", "model_id": 1234567890, "testing_for": "foundationModels", "model_saved_name": "Test Model", "model_version": "v1", "model_provider": "together", "model_name": "mistralai/Mixtral-8x7B-Instruct-v0.1", "project_name": "default", "hosting_type": "External", "certifications": [], "model_config": { "paths": { "chat": "/chat/completions", "completions": "/completions" }, "apikeys": [ "xxxxx" ], "endpoint": { "host": "api.together.xyz", "port": 443, "scheme": "https", "base_path": "/v1" }, "auth_data": { "header_name": "Authorization", "header_prefix": "Bearer", "space_after_prefix": true }, "input_modalities": [ "text" ], "output_modalities": [ "text" ], "model_source": "https://together.ai", "system_prompt": "", "metadata": {}, "default_request_options": {} } } }

Authorizations

apikey
string
header
required

Body

application/json
model_config
Model Config ยท object
required
model_saved_name
string
required

Name of the saved model

Example:

"Test Model"

model_version
string
required

Custom identifier for the model

Example:

"v1"

testing_for
enum<string>

Purpose of testing

Available options:
foundationModels,
chatbotsAndCopilots,
agents,
URL
Example:

"foundationModels"

model_name
string

Name of the model. Required for foundationModels

Example:

"mistralai/Mixtral-8x7B-Instruct-v0.1"

certifications
string[]

List of certifications

Example:
[
  "GDPR",
  "CCPA",
  "HIPAA",
  "SOC 2 Type II",
  "SOC 3"
]

Response

200 - application/json

Successful Response

message
string
Example:

"Model details added successfully"

data
GetModelResponseObject ยท object
Example:
{
  "testing_for": "foundationModels",
  "model_name": "mistralai/Mixtral-8x7B-Instruct-v0.1",
  "certifications": [],
  "model_config": {
    "paths": {
      "chat": "/chat/completions",
      "completions": "/completions"
    },
    "apikeys": ["xxxxx"],
    "endpoint": {
      "host": "api.together.xyz",
      "port": 443,
      "scheme": "https",
      "base_path": "/v1"
    },
    "auth_data": {
      "header_name": "Authorization",
      "header_prefix": "Bearer",
      "space_after_prefix": true
    },
    "input_modalities": ["text"],
    "output_modalities": ["text"],
    "model_source": "https://together.ai",
    "system_prompt": "",
    "tools": [
      {
        "name": "web_search",
        "description": "The tool web search is used to search the web for information related to finance."
      }
    ],
    "metadata": {},
    "default_request_options": {}
  },
  "model_saved_name": "Test Model",
  "model_version": "v1",
  "created_at": "2024-10-15T17:22:47.872389+00:00",
  "updated_at": "2024-10-15T17:22:47.872389+00:00",
  "model_id": 1234567890,
  "model_provider": "together",
  "project_name": "default",
  "hosting_type": "External"
}